#include <hmg.ch>

*******************************************************************************
*** Elaborada por Jorge Benavides 
*** Funcion para crear la ventana que muestra la informacion de la tabla 
*** seleccionada se creo de esta manera con la finalidad de crear cualquier
*** numero de ventanas al mismo tiempo y que las funciones se ejecuten de 
*** manera personalizada
*******************************************************************************
Function cargaConsultaInf(locWorkDb,locWorkTable)
Private listastr := {}, anchosstr := {0},cabezasstr := {''}, coloresstr := {tcolor},;
elnombreloc := "ConsultaInf",listastr1 := {}, anchosstr1 := {0},cabezasstr1 := {''},;
coloresstr1 := {tcolor},listastr2 := {}, anchosstr2 := {200,200},cabezasstr2 := {'CAMPO','INFORMACION'},;
coloresstr2 := {tcolor,tColor},listastr3 := {}, anchosstr3 := {0},cabezasstr3 := {''},;
coloresstr3 := {tcolor},cmb1items := {},cmb2items := {}
 
elnombreloc += AllTrim(Str(elnumeroinf))
elnumeroInf++
DEFINE WINDOW &elnombreloc AT 19 , 421 WIDTH 853 HEIGHT 530 VIRTUAL WIDTH Nil VIRTUAL HEIGHT Nil;
TITLE elnombreloc ICON NIL CHILD CURSOR NIL ON INIT llenagrids(elnombreloc,locWorkDb) ON RELEASE Nil;
ON INTERACTIVECLOSE Nil;
ON MOUSECLICK Nil ON MOUSEDRAG Nil ON MOUSEMOVE Nil ON SIZE Nil ON MAXIMIZE Nil ON MINIMIZE Nil;
ON PAINT Nil BACKCOLOR Nil NOTIFYICON NIL NOTIFYTOOLTIP NIL ON NOTIFYCLICK Nil ON GOTFOCUS Nil;
ON LOSTFOCUS Nil ON SCROLLUP Nil ON SCROLLDOWN Nil ON SCROLLLEFT Nil ON SCROLLRIGHT Nil;
ON HSCROLLBOX Nil ON VSCROLLBOX Nil

	DEFINE TAB Tab_1 AT 10 , 10 WIDTH 820 HEIGHT 470 VALUE 1 FONT "Arial" SIZE 9 TOOLTIP "" ON CHANGE Nil

        PAGE "Estructura"

            DEFINE GRID Grid_3
                ROW    40
                COL    10
                WIDTH  800
                HEIGHT 420
                ITEMS listastr
                VALUE Nil
                WIDTHS anchosstr
                HEADERS cabezasstr
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                ONCHANGE Nil
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                ONDBLCLICK Nil
                ONHEADCLICK Nil
                ONQUERYDATA Nil
                MULTISELECT .F.
                ALLOWEDIT .F.
                VIRTUAL .F.
                DYNAMICBACKCOLOR coloresstr
                DYNAMICFORECOLOR Nil
                COLUMNWHEN Nil
                COLUMNVALID Nil
                COLUMNCONTROLS Nil
                SHOWHEADERS .T.
                CELLNAVIGATION .F.
                NOLINES .F.
                HELPID Nil
                IMAGE Nil
                JUSTIFY Nil
                ITEMCOUNT Nil
                BACKCOLOR NIL
                FONTCOLOR NIL
                HEADERIMAGES Nil
                ROWSOURCE Nil
                COLUMNFIELDS Nil
                ALLOWAPPEND .F.
                ALLOWDELETE .F.
                BUFFERED .F.
                DYNAMICDISPLAY Nil
                ONSAVE Nil
                LOCKCOLUMNS 0
            END GRID

        END PAGE 

        PAGE "Index"

            DEFINE GRID Grid_4
                ROW    40
                COL    10
                WIDTH  800
                HEIGHT 420
                ITEMS listastr1
                VALUE Nil
                WIDTHS anchosstr1
                HEADERS cabezasstr1
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                ONCHANGE Nil
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                ONDBLCLICK Nil
                ONHEADCLICK Nil
                ONQUERYDATA Nil
                MULTISELECT .F.
                ALLOWEDIT .F.
                VIRTUAL .F.
                DYNAMICBACKCOLOR coloresstr1
                DYNAMICFORECOLOR Nil
                COLUMNWHEN Nil
                COLUMNVALID Nil
                COLUMNCONTROLS Nil
                SHOWHEADERS .T.
                CELLNAVIGATION .F.
                NOLINES .F.
                HELPID Nil
                IMAGE Nil
                JUSTIFY Nil
                ITEMCOUNT Nil
                BACKCOLOR NIL
                FONTCOLOR NIL
                HEADERIMAGES Nil
                ROWSOURCE Nil
                COLUMNFIELDS Nil
                ALLOWAPPEND .F.
                ALLOWDELETE .F.
                BUFFERED .F.
                DYNAMICDISPLAY Nil
                ONSAVE Nil
                LOCKCOLUMNS 0
            END GRID

        END PAGE 

        PAGE "Opciones"

            DEFINE GRID Grid_5
                ROW    40
                COL    10
                WIDTH  800
                HEIGHT 420
                ITEMS listastr2
                VALUE Nil
                WIDTHS anchosstr2
                HEADERS cabezasstr2
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                ONCHANGE Nil
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                ONDBLCLICK Nil
                ONHEADCLICK Nil
                ONQUERYDATA Nil
                MULTISELECT .F.
                ALLOWEDIT .F.
                VIRTUAL .F.
                DYNAMICBACKCOLOR coloresstr2
                DYNAMICFORECOLOR Nil
                COLUMNWHEN Nil
                COLUMNVALID Nil
                COLUMNCONTROLS Nil
                SHOWHEADERS .T.
                CELLNAVIGATION .F.
                NOLINES .F.
                HELPID Nil
                IMAGE Nil
                JUSTIFY Nil
                ITEMCOUNT Nil
                BACKCOLOR NIL
                FONTCOLOR NIL
                HEADERIMAGES Nil
                ROWSOURCE Nil
                COLUMNFIELDS Nil
                ALLOWAPPEND .F.
                ALLOWDELETE .F.
                BUFFERED .F.
                DYNAMICDISPLAY Nil
                ONSAVE Nil
                LOCKCOLUMNS 0
            END GRID

        END PAGE 

        PAGE "Datos"

            DEFINE BUTTON Button_1
                ROW    40
                COL    10
                WIDTH  70
                HEIGHT 40
                ACTION mostrarFiltro(thisWindow.name)
                CAPTION "Filtro"
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                HELPID Nil
                FLAT .F.
                TABSTOP .T.
                VISIBLE .T.
                TRANSPARENT .F.
                MULTILINE .F.
                PICTURE Nil
                PICTALIGNMENT TOP
            END BUTTON

            DEFINE BUTTON Button_2
                ROW    40
                COL    90
                WIDTH  70
                HEIGHT 40
                ACTION mostrarOrdenar(thiswindow.name)
                CAPTION "Ordena"
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                HELPID Nil
                FLAT .F.
                TABSTOP .T.
                VISIBLE .T.
                TRANSPARENT .F.
                MULTILINE .F.
                PICTURE Nil
                PICTALIGNMENT TOP
            END BUTTON

            DEFINE BUTTON Button_3
                ROW    40
                COL    170
                WIDTH  70
                HEIGHT 40
                ACTION mostrarExportar(thiswindow.name)
                CAPTION "Exporta"
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                HELPID Nil
                FLAT .F.
                TABSTOP .T.
                VISIBLE .T.
                TRANSPARENT .F.
                MULTILINE .F.
                PICTURE Nil
                PICTALIGNMENT TOP
            END BUTTON

            DEFINE COMBOBOX Combo_1
                ROW    60
                COL    250
                WIDTH  140
                HEIGHT 100
                ITEMS cmb1items
                VALUE 0
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                ONCHANGE Nil
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                TABSTOP .T.
                VISIBLE .F.
                SORT .F.
                ONENTER Nil
                ONDISPLAYCHANGE Nil
                DISPLAYEDIT .t.
                IMAGE Nil
                DROPPEDWIDTH Nil
                ONDROPDOWN Nil
                ONCLOSEUP Nil
            END COMBOBOX

            DEFINE LABEL Label_3
                ROW    40
                COL    250
                WIDTH  120
                HEIGHT 15
                VALUE "Campo"
                FONTNAME "Arial"
                FONTSIZE 8
                TOOLTIP ""
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .F.
                TRANSPARENT .F.
                ACTION Nil
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE COMBOBOX Combo_2
                ROW    60
                COL    400
                WIDTH  140
                HEIGHT 100
                ITEMS cmb2items
                VALUE 0
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                ONCHANGE Nil
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                TABSTOP .T.
                VISIBLE .F.
                SORT .F.
                ONENTER Nil
                ONDISPLAYCHANGE Nil
                DISPLAYEDIT .t.
                IMAGE Nil
                DROPPEDWIDTH Nil
                ONDROPDOWN Nil
                ONCLOSEUP Nil
            END COMBOBOX

            DEFINE LABEL Tipo
                ROW    40
                COL    400
                WIDTH  120
                HEIGHT 15
                VALUE "Tipo"
                FONTNAME "Arial"
                FONTSIZE 8
                TOOLTIP ""
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .F.
                TRANSPARENT .F.
                ACTION Nil
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE LABEL Label_5
                ROW    40
                COL    550
                WIDTH  120
                HEIGHT 15
                VALUE "Valor"
                FONTNAME "Arial"
                FONTSIZE 8
                TOOLTIP ""
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .F.
                TRANSPARENT .F.
                ACTION Nil
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE TEXTBOX Text_1
                ROW    60
                COL    550
                WIDTH  140
                HEIGHT 24
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                ONCHANGE Nil
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                ONENTER Nil
                HELPID Nil
                TABSTOP .T.
                VISIBLE .F.
                READONLY .F.
                RIGHTALIGN .F.
                DISABLEDBACKCOLOR Nil
                DISABLEDFONTCOLOR Nil
                CASECONVERT NONE
                BACKCOLOR NIL
                FONTCOLOR NIL
                INPUTMASK Nil
                FORMAT Nil
                VALUE ""
            END TEXTBOX

            DEFINE BUTTON Button_4
                ROW    40
                COL    700
                WIDTH  70
                HEIGHT 40
                ACTION selectype(thiswindow.name,this.caption)
                CAPTION "Aplica Filtro"
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                HELPID Nil
                FLAT .F.
                TABSTOP .T.
                VISIBLE .F.
                TRANSPARENT .F.
                MULTILINE .T.
                PICTURE Nil
                PICTALIGNMENT TOP
            END BUTTON

            DEFINE GRID Grid_1
                ROW    90
                COL    10
                WIDTH  800
                HEIGHT 340
                ITEMS listastr3
                VALUE Nil
                WIDTHS anchosstr3
                HEADERS cabezasstr3
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                ONCHANGE Nil
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                ONDBLCLICK Nil
                ONHEADCLICK Nil
                ONQUERYDATA Nil
                MULTISELECT .F.
                ALLOWEDIT .F.
                VIRTUAL .F.
                DYNAMICBACKCOLOR coloresstr3
                DYNAMICFORECOLOR Nil
                COLUMNWHEN Nil
                COLUMNVALID Nil
                COLUMNCONTROLS Nil
                SHOWHEADERS .T.
                CELLNAVIGATION .F.
                NOLINES .F.
                HELPID Nil
                IMAGE Nil
                JUSTIFY Nil
                ITEMCOUNT Nil
                BACKCOLOR NIL
                FONTCOLOR NIL
                HEADERIMAGES Nil
                ROWSOURCE Nil
                COLUMNFIELDS Nil
                ALLOWAPPEND .F.
                ALLOWDELETE .F.
                BUFFERED .F.
                DYNAMICDISPLAY Nil
                ONSAVE Nil
                LOCKCOLUMNS 0
            END GRID

            DEFINE LABEL Label_6
                ROW    440
                COL    20
                WIDTH  10
                HEIGHT 20
                VALUE "+"
                FONTNAME "Arial"
                FONTSIZE 12
                TOOLTIP ""
                FONTBOLD .T.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .T.
                TRANSPARENT .F.
                ACTION Nil
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE LABEL Label_7
                ROW    440
                COL    40
                WIDTH  10
                HEIGHT 20
                VALUE "-"
                FONTNAME "Arial"
                FONTSIZE 12
                TOOLTIP ""
                FONTBOLD .T.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .T.
                TRANSPARENT .F.
                ACTION Nil
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE LABEL Label_8
                ROW    440
                COL    60
                WIDTH  40
                HEIGHT 20
                VALUE "Check"
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                FONTBOLD .T.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .T.
                TRANSPARENT .F.
                ACTION Nil
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE LABEL Label_9
                ROW    440
                COL    110
                WIDTH  42
                HEIGHT 20
                VALUE "Cancel"
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                FONTBOLD .T.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .T.
                TRANSPARENT .F.
                ACTION Nil
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE LABEL Label_10
                ROW    440
                COL    160
                WIDTH  42
                HEIGHT 20
                VALUE "Reload"
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                FONTBOLD .T.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .T.
                TRANSPARENT .F.
                ACTION reloadG1(thiswindow.name)
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE LABEL Label_11
                ROW    440
                COL    630
                WIDTH  15
                HEIGHT 20
                VALUE "<<"
                FONTNAME "Arial"
                FONTSIZE 11
                TOOLTIP ""
                FONTBOLD .T.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .T.
                TRANSPARENT .F.
                ACTION firstPageQuery(thisWindow.name)
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE LABEL Label_12
                ROW    440
                COL    660
                WIDTH  15
                HEIGHT 20
                VALUE "<"
                FONTNAME "Arial"
                FONTSIZE 11
                TOOLTIP ""
                FONTBOLD .T.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .T.
                TRANSPARENT .F.
                ACTION prevPageQuery(thiswindow.name)
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE LABEL Label_13
                ROW    440
                COL    760
                WIDTH  15
                HEIGHT 20
                VALUE ">"
                FONTNAME "Arial"
                FONTSIZE 11
                TOOLTIP ""
                FONTBOLD .T.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .T.
                TRANSPARENT .F.
                ACTION nextPageQuery(thiswindow.name)
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE LABEL Label_14
                ROW    440
                COL    790
                WIDTH  15
                HEIGHT 20
                VALUE ">>"
                FONTNAME "Arial"
                FONTSIZE 11
                TOOLTIP ""
                FONTBOLD .T.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                HELPID Nil
                VISIBLE .T.
                TRANSPARENT .F.
                ACTION lastPageQuery(thisWindow.name)
                AUTOSIZE .F.
                BACKCOLOR NIL
                FONTCOLOR NIL
            END LABEL

            DEFINE TEXTBOX Text_2
                ROW    440
                COL    690
                WIDTH  50
                HEIGHT 20
                FONTNAME "Arial"
                FONTSIZE 9
                TOOLTIP ""
                ONCHANGE Nil
                ONGOTFOCUS Nil
                ONLOSTFOCUS Nil
                FONTBOLD .F.
                FONTITALIC .F.
                FONTUNDERLINE .F.
                FONTSTRIKEOUT .F.
                ONENTER Nil
                HELPID Nil
                TABSTOP .T.
                VISIBLE .T.
                READONLY .F.
                RIGHTALIGN .F.
                DISABLEDBACKCOLOR Nil
                DISABLEDFONTCOLOR Nil
                CASECONVERT NONE
                BACKCOLOR NIL
                FONTCOLOR NIL
                INPUTMASK Nil
                FORMAT Nil
                VALUE ""
            END TEXTBOX

        END PAGE 

    END TAB 

    DEFINE LABEL Label_1
        ROW    500
        COL    520
        WIDTH  50
        HEIGHT 30
        VALUE "locWorkDb"
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP ""
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        VISIBLE .F.
        TRANSPARENT .F.
        ACTION Nil
        AUTOSIZE .F.
        BACKCOLOR NIL
        FONTCOLOR NIL
    END LABEL

    DEFINE LABEL Label_2
        ROW    500
        COL    440
        WIDTH  70
        HEIGHT 30
        VALUE "locWorkTable"
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP ""
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        VISIBLE .F.
        TRANSPARENT .F.
        ACTION Nil
        AUTOSIZE .F.
        BACKCOLOR NIL
        FONTCOLOR NIL
    END LABEL

    DEFINE LABEL Label_15
        ROW    500
        COL    10
        WIDTH  100
        HEIGHT 24
        VALUE "Total de Registros"
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP ""
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        VISIBLE .F.
        TRANSPARENT .F.
        ACTION Nil
        AUTOSIZE .F.
        BACKCOLOR NIL
        FONTCOLOR NIL
    END LABEL

    DEFINE LABEL Label_16
        ROW    500
        COL    120
        WIDTH  100
        HEIGHT 30
        VALUE "Total de Registros entre mil"
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP ""
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        VISIBLE .F.
        TRANSPARENT .F.
        ACTION Nil
        AUTOSIZE .F.
        BACKCOLOR NIL
        FONTCOLOR NIL
    END LABEL

    DEFINE LABEL Label_4
        ROW    500
        COL    230
        WIDTH  60
        HEIGHT 30
        VALUE "Total de Paginas"
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP ""
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        VISIBLE .F.
        TRANSPARENT .F.
        ACTION Nil
        AUTOSIZE .F.
        BACKCOLOR NIL
        FONTCOLOR NIL
    END LABEL

    DEFINE EDITBOX Edit_1
        ROW    500
        COL    310
        WIDTH  120
        HEIGHT 120
        VALUE ""
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP ""
        ONCHANGE Nil
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        TABSTOP .T.
        VISIBLE .F.
        READONLY .F.
        HSCROLLBAR .T.
        VSCROLLBAR .T.
        DISABLEDBACKCOLOR Nil
        DISABLEDFONTCOLOR Nil
        BACKCOLOR NIL
        FONTCOLOR NIL
    END EDITBOX

END WINDOW

	Activate Window &elnombreloc

Return Nil

