#include <hmg.ch>
*****************************************************************
*** Funcion para crear na pantalla de Query se creo de esta
*** manera para poder crear muchas pantallas al mismo tiempo 
*** para diferentes bases de datos
*** Elaborada por Jorge Benavides
*****************************************************************
Function LoadCreaQuery(locWorkDb)
Private inicarpoc := 1, endcarpoc := 0,huboespacio := .f.
Private elnombreloc := "CreaQuery", listastr := {}, anchosstr := {0},cabezasstr := {''}
Private coloresstr := {tcolor}
elnombreloc += AllTrim(Str(elnumeroQuery))
elnumeroQuery++

	DEFINE WINDOW &elNombreLoc AT 13 , 1582 WIDTH 912 HEIGHT 716 VIRTUAL WIDTH Nil;
	VIRTUAL HEIGHT Nil TITLE elNombreLoc ICON NIL  CURSOR NIL ON INIT Nil ON RELEASE Nil;
	ON INTERACTIVECLOSE Nil ON MOUSECLICK Nil ON MOUSEDRAG Nil ON MOUSEMOVE Nil;
	ON SIZE Nil ON MAXIMIZE Nil ON MINIMIZE Nil ON PAINT Nil BACKCOLOR Nil;
	NOTIFYICON NIL NOTIFYTOOLTIP NIL ON NOTIFYCLICK Nil ON GOTFOCUS Nil;
	ON LOSTFOCUS Nil ON SCROLLUP Nil ON SCROLLDOWN Nil ON SCROLLLEFT Nil;
	ON SCROLLRIGHT Nil ON HSCROLLBOX Nil ON VSCROLLBOX Nil

		DEFINE STATUSBAR FONT "Arial" SIZE 12 BOLD
			DATE WIDTH 100
			CLOCK WIDTH 100
			STATUSITEM "Control" WIDTH 300
		END STATUSBAR

		DEFINE EDITBOX Edit_1
			ROW    65
			COL    10
			WIDTH  880
			HEIGHT 240
			VALUE ""
			FONTNAME "Arial"
			FONTSIZE 12
			TOOLTIP ""
			ONCHANGE Nil //checakey(elnombreloc)
			ONGOTFOCUS Nil
			ONLOSTFOCUS Nil
			FONTBOLD .F.
			FONTITALIC .F.
			FONTUNDERLINE .F.
			FONTSTRIKEOUT .F.
			HELPID Nil
			TABSTOP .T.
			VISIBLE .T.
			READONLY .F.
			HSCROLLBAR .T.
			VSCROLLBAR .T.
			DISABLEDBACKCOLOR Nil
			DISABLEDFONTCOLOR Nil
			BACKCOLOR NIL
			FONTCOLOR NIL
		END EDITBOX

		DEFINE BUTTON Button_1
			ROW    10
			COL    10
			WIDTH  130
			HEIGHT 50
			ACTION runQuery(thisWindow.name,locWorkDb)
			CAPTION "Ejecuta"
			FONTNAME "Arial"
			FONTSIZE 12
			TOOLTIP ""
			FONTBOLD .T.
			FONTITALIC .F.
			FONTUNDERLINE .F.
			FONTSTRIKEOUT .F.
			ONGOTFOCUS Nil
			ONLOSTFOCUS Nil
			HELPID Nil
			FLAT .F.
			TABSTOP .T.
			VISIBLE .T.
			TRANSPARENT .F.
			MULTILINE .F.
			PICTURE Nil
			PICTALIGNMENT TOP
		END BUTTON

		DEFINE BUTTON Button_2
			ROW    10
			COL    160
			WIDTH  130
			HEIGHT 50
			ACTION BuscaFichero(thiswindow.name)
			CAPTION "Carga"
			FONTNAME "Arial"
			FONTSIZE 12
			TOOLTIP ""
			FONTBOLD .T.
			FONTITALIC .F.
			FONTUNDERLINE .F.
			FONTSTRIKEOUT .F.
			ONGOTFOCUS Nil
			ONLOSTFOCUS Nil
			HELPID Nil
			FLAT .F.
			TABSTOP .T.
			VISIBLE .T.
			TRANSPARENT .F.
			MULTILINE .F.
			PICTURE Nil
			PICTALIGNMENT TOP
		END BUTTON

		DEFINE BUTTON Button_3
			ROW    10
			COL    310
			WIDTH  130
			HEIGHT 50
			ACTION guardaQuery(thiswindow.name,1)
			CAPTION "Guarda"
			FONTNAME "Arial"
			FONTSIZE 12
			TOOLTIP ""
			FONTBOLD .T.
			FONTITALIC .F.
			FONTUNDERLINE .F.
			FONTSTRIKEOUT .F.
			ONGOTFOCUS Nil
			ONLOSTFOCUS Nil
			HELPID Nil
			FLAT .F.
			TABSTOP .T.
			VISIBLE .T.
			TRANSPARENT .F.
			MULTILINE .F.
			PICTURE Nil
			PICTALIGNMENT TOP
		END BUTTON

		DEFINE BUTTON Button_4
			ROW    10
			COL    460
			WIDTH  130
			HEIGHT 50
			ACTION guardaQuery(thiswindow.name,2)
			CAPTION "Guarda como"
			FONTNAME "Arial"
			FONTSIZE 12
			TOOLTIP ""
			FONTBOLD .T.
			FONTITALIC .F.
			FONTUNDERLINE .F.
			FONTSTRIKEOUT .F.
			ONGOTFOCUS Nil
			ONLOSTFOCUS Nil
			HELPID Nil
			FLAT .F.
			TABSTOP .T.
			VISIBLE .T.
			TRANSPARENT .F.
			MULTILINE .F.
			PICTURE Nil
			PICTALIGNMENT TOP
		END BUTTON

		DEFINE BUTTON Button_5
			ROW    10
			COL    610
			WIDTH  130
			HEIGHT 50
			ACTION imprimeXlsQuery(getproperty(elNombreLoc,'Edit_1','Value'),locWorkdb,"",1,1,1)
			CAPTION "Exporta XLSX"
			FONTNAME "Arial"
			FONTSIZE 12
			TOOLTIP ""
			FONTBOLD .T.
			FONTITALIC .F.
			FONTUNDERLINE .F.
			FONTSTRIKEOUT .F.
			ONGOTFOCUS Nil
			ONLOSTFOCUS Nil
			HELPID Nil
			FLAT .F.
			TABSTOP .T.
			VISIBLE .T.
			TRANSPARENT .F.
			MULTILINE .F.
			PICTURE Nil
			PICTALIGNMENT TOP
		END BUTTON

		DEFINE BUTTON Button_6
			ROW    10
			COL    760
			WIDTH  130
			HEIGHT 50
			ACTION creaCSVFile(elNombreLoc, getproperty(elNombreLoc,'Edit_1','Value'))
			CAPTION "Exporta CSV"
			FONTNAME "Arial"
			FONTSIZE 12
			TOOLTIP ""
			FONTBOLD .T.
			FONTITALIC .F.
			FONTUNDERLINE .F.
			FONTSTRIKEOUT .F.
			ONGOTFOCUS Nil
			ONLOSTFOCUS Nil
			HELPID Nil
			FLAT .F.
			TABSTOP .T.
			VISIBLE .T.
			TRANSPARENT .F.
			MULTILINE .F.
			PICTURE Nil
			PICTALIGNMENT TOP
		END BUTTON
 
		DEFINE GRID Grid_1
			ROW    310
			COL    10
			WIDTH  880
			HEIGHT 340
			ITEMS listastr
			VALUE Nil
			WIDTHS anchosstr
			HEADERS cabezasstr
			FONTNAME "Arial"
			FONTSIZE 9
			TOOLTIP ""
			ONCHANGE Nil
			ONGOTFOCUS Nil
			ONLOSTFOCUS Nil
			FONTBOLD .F.
			FONTITALIC .F.
			FONTUNDERLINE .F.
			FONTSTRIKEOUT .F.
			ONDBLCLICK Nil
			ONHEADCLICK Nil
			ONQUERYDATA Nil
			MULTISELECT .F.
			ALLOWEDIT .F.
			VIRTUAL .F.
			DYNAMICBACKCOLOR coloresstr
			DYNAMICFORECOLOR Nil
			COLUMNWHEN Nil
			COLUMNVALID Nil
			COLUMNCONTROLS Nil
			SHOWHEADERS .T.
			CELLNAVIGATION .F.
			NOLINES .F.
			HELPID Nil
			IMAGE Nil
			JUSTIFY Nil
			ITEMCOUNT Nil
			BACKCOLOR NIL
			FONTCOLOR NIL
			HEADERIMAGES Nil
			ROWSOURCE Nil
			COLUMNFIELDS Nil
			ALLOWAPPEND .F.
			ALLOWDELETE .F.
			BUFFERED .F.
			DYNAMICDISPLAY Nil
			ONSAVE Nil
			LOCKCOLUMNS 0
		END GRID

	END WINDOW

	Activate Window &elnombreloc
	Release Memory
Return Nil

*****************************************************************
*** En esta parte estoy tratando de adaptar esta funcion para
*** checar las palabras que son de MySql pendiente por falta 
*** de tiempo
*****************************************************************
Function checakey(windowName)
LOCAL hWnd := EventHWND()
	If iswindowdefined(&windowName)
		If HMG_GetLastVirtualKeyDown() == 32
			endcarpoc := getproperty(windowName,'Edit_1','CaretPos') - 1
			MsgDebug(inicarpoc, endcarpoc)	
			HMG_EditControlSetSel (hWnd, inicarpoc, endcarpoc)
			huboespacio := .t.
		Else 
			If huboespacio = .t.
				inicarpoc := getproperty(windowName,'Edit_1','CaretPos')
				huboespacio = .f.
			EndIf 
		EndIf 
			HMG_CleanLastVirtualKeyDown()
			domethod(windowName,'Edit_1','SetFocus')
	EndIf 
Return Nil
