#include <hmg.ch>
*******************************************************************************
*** Elaborada por Jorge Benavides 
*** Funcion para llenar el grid con el resultado del Query
*******************************************************************************
Function runQuery(windowName,locWorkDb)
	cQuery := getproperty(windowName,'Edit_1','Value')
	If laconexion(locWorkdb) != .t.
		MsgBox("Error al Realizar la conexion","Error C102")
		Return Nil
	EndIf 
	llenaGridRep(windowName,'Grid_1', cQuery)
Return Nil

*******************************************************************************
*** Elaborada por Jorge Benavides 
*** Funcion para guardar el Query escrito por el usuario
*** si ya esta guardado lo sobreescribe si seleccionas Save As 
*** guarda uno nuevo
*******************************************************************************
Procedure guardaQuery(windowName,savetype)
Local xFile,cContenido := ""
	If len(cFile) = 0 .or. savetype = 2
		xFile := putfile({{'sql','*.sql'}},'Grab\arQuery',hb_curdrive() + ":" + dirname() + '\',,'nombre.sql')
	Else
		xFile := cFile
	EndIf 
	cContenido := getproperty(windowName,'Edit_1','Value')
	If MEMOWRIT(xFile,Ccontenido,.t.)
	Else
		MsgDebug("error al grabar el archivo","Error MQ101")
		Return 
	EndIf 
	cFile := xFile
Return Nil

*******************************************************************************
*** Elaborada por Jorge Benavides 
*** Funcio para buscar los ficheros de sql guardados
*******************************************************************************
Procedure BuscaFichero(windowName)
Local cContenido := ""
cFile := GetFile({{'Sql','*.Sql'},{'Todas las Consultas','*.*'}})
	IF .NOT. FILE (cFile)
		msginfo("No se ha elejido archivo "," ATENCION !!!")
		RETURN
	ENDIF
	cContenido := MEMOREAD( cFile )
	SetProperty(WindowName,'Edit_1','Value',cContenido)//('ventana','control','propiedad',valor)
RETURN 
