#include <hmg.ch>

*******************************************************************************
*** Elaborada por Jorge Benavides 
*** Function creaCSVFile	-- MySql Query --
*** Parameters
***		locform				El nombre de la forma que contiene el grid
***
***		locQuery			El nombre del Query que se va a utilizar para 
***							la consulta
*******************************************************************************
Function creaCSVFile(locform, locQuery)
	Local miniarr := "", newRow := "", carpetaact := "", nombrearch := "", nManejador
	carpetaact := hb_curdrive() + ":" + dirname() + '\'
	nombrearch := putfile({{'csv','*.csv'}},'Grab\arCSV',hb_curdrive() + ":" + dirname() + '\',,'nombre.csv')
	Wait Window "Realizando Consulta al Servidor . . ." NOWait    && ventana de espera 
	If locQuery != Nil
		bQuery := oServer:Query (locQuery)
	Else
		bQuery := oServer:Query (cQuery)
	EndIf 
	If bQuery:NetErr()
		Msgstop(bQuery:Error())
		Return Nil
	EndIf
	Wait Window "Se inicia el Llenado del Reporte . . ." NOWait    && ventana de espera           
	encabezados := ''
	If (nManejador := FCREATE(nombrearch, 0)) == -1
		MsgDebug('error en la construccion del archivo','Error CC101',nombrearch)
	Else 
	Wait Window "Creando encabezados . . ." NOWait    && ventana de espera 
		For i:=1 To bquery:fCount()
			encabezados += '"' + upper(bQuery:FieldName(i)) + '"'
			If i < bquery:fCount()
				encabezados += ',' 
			EndIf 
		Next
		fwrite(nManejador,encabezados + CRLF )
		For _i := 1 To bQuery:LastRec()
		Wait Window "Generando Archivo Rec: " + AllTrim(Transform(_i,"999,999")) + " de " + AllTrim(Transform(bQuery:LastRec(),"999,999")) NOWait    && ventana de espera 
			oRow := bQuery:GetRow(_i)
			miniarr := ""
			For _g:=1 To bQuery:fCount()
				miniarr += '"' 
				miniarr += _SQL2C(oRow:FieldGet(_g)) 
				miniarr += '"'
				If _g < bQuery:fCount()
					miniarr += ','
				EndIf 
			Next
				fwrite(nManejador,miniarr + CRLF )
			If cuentaev = 100
				Do Events
				Release Memory
				cuentaev := 0
			EndIf 
			cuentaev++
		Next
	EndIf 
	FCLOSE(nManejador)
	Wait Clear
	bQuery:Destroy()
Return Nil