#include <hmg.ch>

*******************************************************************************
*** Elaborada por Jorge Benavides 
***			Avance del Query
***			por paginas
***			
*****************************************************************
Function nextPageQuery(windowName)
Local locPagAct := 0, locPagTot := 0, locTotReg, locQuery:=""
disableAll(windowName)
	locPagAct := Val(getproperty(windowName,"text_2","Value"))
	locPagTot := Val(getproperty(windowName,"label_4","Value"))
	locTotReg := Val(getproperty(windowName,"label_15","Value"))
	locQuery := getproperty(windowName,"edit_1","Value")
	locWorkdb := getproperty(windowName,"label_1","Value")
	locTable := getproperty(windowName,"label_2","Value")
	If laconexion(workDb) != .t.
		MsgDebug("Error en la Conexion a la base de datos" , "Error D101")
	EndIf
	If  locPagAct < locPagTot
		locPagAct++
	EndIf 
		locQuery += " limit " + AllTrim(Str((locPagAct - 1)*1000)) + ",1000"
	MsgDebug(locQuery)
	doMethod(windowName,"grid_1","deleteallitems")
	llenaGridRep(windowName,"grid_1",locQuery)
	SetProperty(windowName,"text_2","Value",AllTrim(Str(locPagAct)))
	enableAll(windowName)
Return Nil

*******************************************************************************
*** Elaborada por Jorge Benavides 
***			Retroceso del Query
***			por paginas
***			
*****************************************************************
Function prevPageQuery(windowName)
	Local locPagAct := 0, locPagTot := 0, locTotReg, locQuery:=""
	disableAll(windowName)
	locPagAct := Val(getproperty(windowName,"text_2","Value"))
	locPagTot := Val(getproperty(windowName,"label_4","Value"))
	locTotReg := Val(getproperty(windowName,"label_15","Value"))
	locQuery := getproperty(windowName,"edit_1","Value")
	locWorkdb := getproperty(windowName,"label_1","Value")
	locTable := getproperty(windowName,"label_2","Value")
	If laconexion(workDb) != .t.
		MsgDebug("Error en la Conexion a la base de datos" , "Error D101")
	EndIf
	If  locPagAct > 1
		locPagAct--
	EndIf 
		locQuery += " limit " + AllTrim(Str((locPagAct - 1)*1000)) + ",1000"
	MsgDebug(locQuery)
	doMethod(windowName,"grid_1","deleteallitems")
	llenaGridRep(windowName,"grid_1",locQuery)
	SetProperty(windowName,"text_2","Value",AllTrim(Str(locPagAct)))
	enableAll(windowName)
Return Nil

*******************************************************************************
*** Elaborada por Jorge Benavides 
***			Ultima pagina del Query
***			
***			
*****************************************************************
Function lastPageQuery(windowName)
	Local locPagAct := 0, locPagTot := 0, locTotReg, locQuery:=""
	disableAll(windowName)
	locPagAct := Val(getproperty(windowName,"text_2","Value"))
	locPagTot := Val(getproperty(windowName,"label_4","Value"))
	locTotReg := Val(getproperty(windowName,"label_15","Value"))
	locQuery := getproperty(windowName,"edit_1","Value")
	locWorkdb := getproperty(windowName,"label_1","Value")
	locTable := getproperty(windowName,"label_2","Value")
	If laconexion(workDb) != .t.
		MsgDebug("Error en la Conexion a la base de datos" , "Error D101")
	EndIf
	locQuery += " limit " + AllTrim(Str((locPagTot - 1)*1000)) + ",1000"
	MsgDebug(locQuery)
	doMethod(windowName,"grid_1","deleteallitems")
	llenaGridRep(windowName,"grid_1",locQuery)
	SetProperty(windowName,"text_2","Value",AllTrim(Str(locPagTot)))
	enableAll(windowName)
Return Nil

*******************************************************************************
*** Elaborada por Jorge Benavides 
***			Primera pagina del Query
***			
***			
*****************************************************************
Function firstPageQuery(windowName)
	Local locPagAct := 0, locPagTot := 0, locTotReg, locQuery:=""
	disableAll(windowName)
	locPagAct := Val(getproperty(windowName,"text_2","Value"))
	locPagTot := Val(getproperty(windowName,"label_4","Value"))
	locTotReg := Val(getproperty(windowName,"label_15","Value"))
	locQuery := getproperty(windowName,"edit_1","Value")
	locWorkdb := getproperty(windowName,"label_1","Value")
	locTable := getproperty(windowName,"label_2","Value")
	If laconexion(workDb) != .t.
		MsgDebug("Error en la Conexion a la base de datos" , "Error D101")
	EndIf
	locQuery += " limit 0,1000"
	MsgDebug(locQuery)
	doMethod(windowName,"grid_1","deleteallitems")
	llenaGridRep(windowName,"grid_1",locQuery)
	SetProperty(windowName,"text_2","Value",AllTrim(Str(1)))
	enableAll(windowName)
Return Nil

Function reloadG1(windowName)
	Local locPagAct := 0, locPagTot := 0, locTotReg, locQuery:=""
	disableAll(windowName)
	locPagAct := Val(getproperty(windowName,"text_2","Value"))
	locPagTot := Val(getproperty(windowName,"label_4","Value"))
	locTotReg := Val(getproperty(windowName,"label_15","Value"))
	locQuery := getproperty(windowName,"edit_1","Value")
	locWorkdb := getproperty(windowName,"label_1","Value")
	locTable := getproperty(windowName,"label_2","Value")
	If laconexion(workDb) != .t.
		MsgDebug("Error en la Conexion a la base de datos" , "Error D101")
	EndIf
		locQuery += " limit " + AllTrim(Str((locPagAct - 1)*1000)) + ",1000"
	MsgDebug(locQuery)
	doMethod(windowName,"grid_1","deleteallitems")
	llenaGridRep(windowName,"grid_1",locQuery)
	SetProperty(windowName,"text_2","Value",AllTrim(Str(locPagAct)))
	enableAll(windowName)
Return Nil

Function disableAll(windowName)
	For i:=6 To 14
		ellabel := 'label_' + AllTrim(Str(i))
		SetProperty(windowName,'Enabled',.f.)
	Next
Return Nil

Function enableAll(windowName)
	For i:=6 To 14
		ellabel := 'label_' + AllTrim(Str(i))
		Setproperty(windowName,'Enabled',.t.)
	Next
Return Nil