#include <hmg.ch>
#require "hbziparc"
#require "hbmzip"

*******************************************************************************
*** Elaborada por Rathinagiri
*******************************************************************************
function backup_db( cFname )
   local aTable := {}
   local aTables := {}
   local tables := {}
   local aData := {}
   local aRow := {}
   local cLB := chr( 10 ) + chr( 13 )
   local nHandle := 0
   local cTime := time()
   local cTempFolder := GetCurrentFolder() + '\' + 'backup_' + dtos( date() ) + substr( cTime, 1, 2 )  + substr( cTime, 4, 2 ) + substr( cTime, 7, 2 )
   local aFiles := {}
   If ValType(getproperty('main','tree_1','parentvalue',getproperty('main','tree_1','Value'))) != "U"
		MsgDebug("Debes seleccionar una base de datos ", "Una tabla no")
		Return Nil
	EndIf 	
   workDb := getProperty('main','tree_1','Item',getproperty('main','tree_1','Value'))
   If laconexion(workDb) != .t.
		MsgBox("Error en la conexion","Error My101")
		Return Nil
   EndIf 
   default cFName := 'backup.sql'
   bQuery := oServer:Query("show tables" + WorkDb)
   bQuery := oServer:Query (cQuery)
	If bQuery:NetErr()
		Msgstop(bQuery:Error())
		Return Nil
	EndIf
	For i:=1 To bquery:LastRec()
		oRow := bQuery:GetRow(i)
		aadd(aTables,oRow:FieldGet(1))
	Next 
   i := 0
   tottables := len(aTables)
   if MakeDir( cTempFolder ) <> 0
      msgstop( 'Backup Directory could not be created!' )
      return nil
   endif   
   nHandle := fcreate( cTempFolder + '\' + cFName )
   aadd( aFiles, cTempFolder + '\' + cFName )
   if nHandle < 0
      msgstop( 'Backup File Could not be created!' )
      return nil
   endif
   for i := 1 to tottables
      WAIT WINDOW "Processing Table - " + aTables[ i ] + '( ' + alltrim( str( i ) ) + '/' + alltrim( str( tottables ) ) + ' )'   NOWAIT
      bQuery := oServer:Query( 'show create table ' + aTables[ i ] )
	  If bQuery:NetErr()
		Msgstop(bQuery:Error())
		Return Nil
	  EndIf
	  oRow := bQuery:GetRow(1)
      cCreateCommand := oRow:FieldGet(2)
      fwrite( nHandle, alltrim( cCreateCommand ) + ';' + cLB )
      // try to dumpt data to file
      cTempFileName := cTempFolder + '\' + alltrim( aTables[ i ] ) + '.txt'
      aadd( aFiles, cTempFileName )
      cTempFileName := strtran( cTempFileName, '\', '/' )
      oServer:Query( "select * from " + aTables[ i ] + " into outfile '" + cTempFileName + "'" )
      if .not. file( cTempFileName )
         msgstop( 'Dump file not created!' )
         return nil
      endif
   next i
   wait clear
   fClose( nHandle )
   cZip := cTempFolder + '.zip'
   hb_zipFile( cZip, aFiles )
//   compress files aFiles to cZip
   if file( cZip )
      for i := 1 to hmg_len( aFiles )
         ferase( aFiles[ i ] )
      next i
      dirremove( cTempFolder )
   endif  
   msginfo( 'Backup Complete - ' + cZip + ' File Created' )   
   bQuery:Destroy()
return nil